## weechat 2.1

=== debian/changelog ===
weechat (2.1-2) unstable; urgency=medium

  * Disable build of javascript plugin to fix weechat autoremoval from
    testing (RC bugs in libv8) (Closes: #894680)
  * Add missing localized manpages for weechat-headless
  * Fix debian/copyright Format URI

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 03 Apr 2018 10:48:35 +0200

weechat (2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #887114)
    - Enable build against Ruby 2.5 (Closes: #892072)
    - New PHP plugin (update build dependencies accordingly)
  * Split up the package so that plugins are now separated in multiple
    binary packages to avoid unnecessary dependencies (Closes: #745266)
  * Switch debhelper compatibility to 11
  * Bump Standards-Version to 4.1.3
  * Add debian/upstream/metadata (DEP 12)
  * Rewrite debian/copyright to be more accurate
  * Update Vcs-Git and Vcs-Browser with new repository on salsa.debian.org
  * Update debian/NEWS to introduces weechat-headless and the package split

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 21 Mar 2018 07:46:21 +0100
