=== debian/changelog ===
weechat (2.2-1) unstable; urgency=medium

  * New upstream release
  * Remove upstream patch about localized manpages for weechat-headless
  * Bump Standards-Version to 4.1.5

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 19 Sep 2018 09:41:45 +0000
