=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
     libgcrypt20-dev,
     libgnutls28-dev,
     zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://weechat.org/
 Vcs-Git: https://salsa.debian.org/kolter/weechat.git
 Vcs-Browser: https://salsa.debian.org/kolter/weechat
